GWT 2.7.0

## com.google.gwt.user.client.ui
Class CaptionPanel.CaptionPanelImpl

    java.lang.Object
      com.google.gwt.user.client.ui.CaptionPanel.CaptionPanelImpl

Direct Known Subclasses:
  CaptionPanel.CaptionPanelImplMozilla, CaptionPanel.CaptionPanelImplSafari

Enclosing class:
  CaptionPanel

    public static class CaptionPanel.CaptionPanelImpl

extends java.lang.Object

Implementation class without browser-specific hacks.

Constructor Summary
`CaptionPanel.CaptionPanelImpl()`

Method Summary
`void` | `setCaption(FieldSetElement fieldset, Element legend, SafeHtml caption)`
`void` | `setCaption(FieldSetElement fieldset, Element legend, java.lang.String caption, boolean asHTML)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaptionPanel.CaptionPanelImpl

    public CaptionPanel.CaptionPanelImpl()

Method Detail

### setCaption

    public void setCaption(FieldSetElement fieldset,
                           Element legend,
                           SafeHtml caption)

### setCaption

    public void setCaption(FieldSetElement fieldset,
                           Element legend,
                           java.lang.String caption,
                           boolean asHTML)

GWT 2.7.0